List Plans
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/plans \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.m3ter.com/organizations/{orgId}/plans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"version": 123,
"customFields": {},
"planTemplateId": "<string>",
"productId": "<string>",
"name": "<string>",
"code": "<string>",
"standingCharge": 123,
"standingChargeDescription": "<string>",
"ordinal": 123,
"bespoke": true,
"minimumSpend": 123,
"minimumSpendDescription": "<string>",
"standingChargeBillInAdvance": true,
"minimumSpendBillInAdvance": true,
"minimumSpendAccountingProductId": "<string>",
"standingChargeAccountingProductId": "<string>",
"accountId": "<string>",
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
],
"nextToken": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve a list of Plans that can be filtered by Product, Account, or Plan ID.
GET
/
organizations
/
{orgId}
/
plans
List Plans
Authorizations
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
The authorizationCode flow controls access for human users via the m3ter Console application.
Path Parameters
UUID of the organization. The Organization represents your company as a direct customer of the m3ter service.
Query Parameters
Number of Plans to retrieve per page.
Required range:
1 <= x <= 100nextToken for multi-page retrievals.
UUID of the Product to retrieve Plans for.
List of Account IDs the Plan belongs to.
List of Plan IDs to retrieve.
⌘I